ModuleComponentSelector (Gradle API 8.14.2)
Description: declaration: package: org.gradle.api.artifacts.component, interface: ModuleComponentSelector

Package org.gradle.api.artifacts.component

# Interface ModuleComponentSelector

All Superinterfaces:
  `ComponentSelector`

public interface ModuleComponentSelector extends ComponentSelector
Criteria for selecting a component instance that is available as a module version.

Since:
  1.10

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getGroup()`
  The group of the module to select the component from.
  `String`
  `getModule()`
  The name of the module to select the component from.
  `ModuleIdentifier`
  `getModuleIdentifier()`
  The module identifier of the component.
  `String`
  `getVersion()`
  The version of the module to select the component from.
  `VersionConstraint`
  `getVersionConstraint()`
  The version constraint of the module to select the component from.

  ### Methods inherited from interface org.gradle.api.artifacts.component.ComponentSelector

  `getAttributes, getCapabilitySelectors, getDisplayName, getRequestedCapabilities, matchesStrictly`

- ## Method Details

  - ### getGroup

    String getGroup()
    The group of the module to select the component from.
    Returns:
      Module group
    Since:
      1.10

  - ### getModule

    String getModule()
    The name of the module to select the component from.
    Returns:
      Module name

  - ### getVersion

    String getVersion()
    The version of the module to select the component from.
    Returns:
      Module version

  - ### getVersionConstraint

    VersionConstraint getVersionConstraint()
    The version constraint of the module to select the component from.
    Returns:
      Module version constraint
    Since:
      4.4

  - ### getModuleIdentifier

    ModuleIdentifier getModuleIdentifier()
    The module identifier of the component. Returns the same information as `getGroup()` and `getModule()`.
    Returns:
      the module identifier
    Since:
      4.9